from small one page howto to huge articles all in one place
 

search text in:




Other .linuxhowtos.org sites: www.linuxhowtos.org
toolsntoys.linuxhowtos.org



Last additions:
How to make X listen on port 6000

How to make X listen on port 6000

words:

34

views:

39353

userrating:

average rating: 1.5 (4 votes) (1=very good 6=terrible)


May, 25th 2007:
April, 26th 2007:
Apr, 10th. 2007:
Druckversion . pdf icon
You are here: Portage


Details of net-vpn/strongswan:

Description: IPsec-based VPN solution focused on security and ease of use, supporting IKEv1/IKEv2 and MOBIKE
Homepage:
http://www.strongswan.org/

available versions:

releasesalphaamd64armhppaia64mipsppcppc64ppc macoss390shsparcx86USE-Flagsdependenciesebuild warnings
strongswan-5.6.0-r1 -~~---~~----~+caps
curl
+constraints
debug
dhcp
eap
farp
gcrypt
+gmp
ldap
mysql
networkmanager
+non-root
+openssl
selinux
sqlite
pam
pkcs11
>=dev-db/sqlite-3.3.1 USE-Flag: sqlite
>=dev-libs/gmp-4.1.5 USE-Flag: gmp
net-misc/curl USE-Flag: curl
net-misc/networkmanager USE-Flag: networkmanager
net-nds/openldap USE-Flag: ldap
sys-kernel/linux-headers
sys-libs/libcap USE-Flag: caps
sys-libs/pam USE-Flag: pam
virtual/linux-sources

virtual/mysql

show
IMPORTANT KERNEL NOTES: Please read carefully...
[ < 2.6.29 ] Due to a missing kernel feature, you have to
include all required IPv6 modules even if you just intend
to run on IPv4 only.
This has been fixed with kernels >= 2.6.29.
[ < 2.6.33 ] Kernels prior to 2.6.33 include a non-standards
compliant implementation for SHA-2 HMAC support in ESP and
miss SHA384 and SHA512 HMAC support altogether.
If you need any of those features, please use kernel >= 2.6.33.
[ < 2.6.34 ] Support for the AES-GMAC authentification-only
ESP cipher is only included in kernels >= 2.6.34.
If you need it, please use kernel >= 2.6.34.

The default permissions for /etc/ipsec.d/* have been tightened for
security reasons. Your system installed directories have been
updated accordingly. Please check if necessary.
IMPORTANT: You previously had ${PN} installed without root
privileges because it was implied by the 'caps' USE flag.
This has been changed. If you want ${PN} with user privileges,
you have to re-emerge it with the 'non-root' USE flag enabled.
You have decided to run ${PN} with root privileges and built it
without support for POSIX capability dropping. It is generally
strongly suggested that you reconsider- especially if you intend
to run ${PN} as server with a public ip address.
You should re-emerge ${PN} with at least the 'caps' USE flag enabled.
${PN} has been installed without superuser privileges (USE=non-root).
show
strongswan-5.6.0 -~~---~~----~+caps
curl
+constraints
debug
dhcp
eap
farp
gcrypt
+gmp
ldap
mysql
networkmanager
+non-root
+openssl
selinux
sqlite
pam
pkcs11
>=dev-db/sqlite-3.3.1 USE-Flag: sqlite
>=dev-libs/gmp-4.1.5 USE-Flag: gmp
net-misc/curl USE-Flag: curl
net-misc/networkmanager USE-Flag: networkmanager
net-nds/openldap USE-Flag: ldap
sys-kernel/linux-headers
sys-libs/libcap USE-Flag: caps
sys-libs/pam USE-Flag: pam
virtual/linux-sources

virtual/mysql

show
IMPORTANT KERNEL NOTES: Please read carefully...
[ < 2.6.29 ] Due to a missing kernel feature, you have to
include all required IPv6 modules even if you just intend
to run on IPv4 only.
This has been fixed with kernels >= 2.6.29.
[ < 2.6.33 ] Kernels prior to 2.6.33 include a non-standards
compliant implementation for SHA-2 HMAC support in ESP and
miss SHA384 and SHA512 HMAC support altogether.
If you need any of those features, please use kernel >= 2.6.33.
[ < 2.6.34 ] Support for the AES-GMAC authentification-only
ESP cipher is only included in kernels >= 2.6.34.
If you need it, please use kernel >= 2.6.34.

The default permissions for /etc/ipsec.d/* have been tightened for
security reasons. Your system installed directories have been
updated accordingly. Please check if necessary.
IMPORTANT: You previously had ${PN} installed without root
privileges because it was implied by the 'caps' USE flag.
This has been changed. If you want ${PN} with user privileges,
you have to re-emerge it with the 'non-root' USE flag enabled.
You have decided to run ${PN} with root privileges and built it
without support for POSIX capability dropping. It is generally
strongly suggested that you reconsider- especially if you intend
to run ${PN} as server with a public ip address.
You should re-emerge ${PN} with at least the 'caps' USE flag enabled.
${PN} has been installed without superuser privileges (USE=non-root).
show
strongswan-5.5.3 -++---+~----++caps
curl
+constraints
debug
dhcp
eap
farp
gcrypt
+gmp
ldap
mysql
networkmanager
+non-root
+openssl
selinux
sqlite
pam
pkcs11
>=dev-db/sqlite-3.3.1 USE-Flag: sqlite
>=dev-libs/gmp-4.1.5 USE-Flag: gmp
net-misc/curl USE-Flag: curl
net-misc/networkmanager USE-Flag: networkmanager
net-nds/openldap USE-Flag: ldap
sys-kernel/linux-headers
sys-libs/libcap USE-Flag: caps
sys-libs/pam USE-Flag: pam
virtual/linux-sources

virtual/mysql

show
IMPORTANT KERNEL NOTES: Please read carefully...
[ < 2.6.29 ] Due to a missing kernel feature, you have to
include all required IPv6 modules even if you just intend
to run on IPv4 only.
This has been fixed with kernels >= 2.6.29.
[ < 2.6.33 ] Kernels prior to 2.6.33 include a non-standards
compliant implementation for SHA-2 HMAC support in ESP and
miss SHA384 and SHA512 HMAC support altogether.
If you need any of those features, please use kernel >= 2.6.33.
[ < 2.6.34 ] Support for the AES-GMAC authentification-only
ESP cipher is only included in kernels >= 2.6.34.
If you need it, please use kernel >= 2.6.34.

The default permissions for /etc/ipsec.d/* have been tightened for
security reasons. Your system installed directories have been
updated accordingly. Please check if necessary.
IMPORTANT: You previously had ${PN} installed without root
privileges because it was implied by the 'caps' USE flag.
This has been changed. If you want ${PN} with user privileges,
you have to re-emerge it with the 'non-root' USE flag enabled.
You have decided to run ${PN} with root privileges and built it
without support for POSIX capability dropping. It is generally
strongly suggested that you reconsider- especially if you intend
to run ${PN} as server with a public ip address.
You should re-emerge ${PN} with at least the 'caps' USE flag enabled.
${PN} has been installed without superuser privileges (USE=non-root).
show
Legend:
+ stable
~ testing
- not available
some ebuild warning depend on specific use-flags or architectures, all ebuild-warnings are shown.


back
Please read "Why adblockers are bad".



other Ads
Trace My Cash
Wenn Sie sich schon immer mal gefragt haben, wo eigentlich Ihr geliebtes Bargeld geblieben ist, finden Sie hier vielleicht die Antwort.
www.tracemycash.com
Other free services
toURL.org
Shorten long
URLs to short
links like
http://tourl.org/2
tourl.org
.
Reverse DNS lookup
Find out which hostname(s)
resolve to a
given IP or other hostnames for the server
www.reversednslookup.org

New Packages

- as rdf newsfeed
- as rss newsfeed
- as Atom newsfeed
2017-10-17
deluge - 1.3.15-r1
Ebuild name:

net-p2p/deluge-1.3.15-r1

Description

BitTorrent client with a client/server model

Added to portage

2017-10-17

fldigi - 4.0.11
Ebuild name:

media-radio/fldigi-4.0.11

Description

Sound card based multimode software modem for Amateur Radio use

Added to portage

2017-10-17

pyotherside - 1.5.3
Ebuild name:

dev-python/pyotherside-1.5.3

Description

Asynchronous Python 3 Bindings for Qt 5

Added to portage

2017-10-17

2017-10-16
CDDB - 1.222.0-r2
Ebuild name:

dev-perl/CDDB-1.222.0-r2

Description

high-level interface to cddb/freedb protocol

Added to portage

2017-10-16

CGI-Builder - 1.360.0-r2
Ebuild name:

dev-perl/CGI-Builder-1.360.0-r2

Description

Framework to build simple or complex web-apps

Added to portage

2017-10-16

adobe-flash - 27.0.0.170
Ebuild name:

www-plugins/adobe-flash-27.0.0.170

Description

Adobe Flash Player

Added to portage

2017-10-16

bopm - 3.1.3-r4
Ebuild name:

net-misc/bopm-3.1.3-r4

Description

Blitzed Open Proxy Monitor

Added to portage

2017-10-16

chromium - 62.0.3202.52
Ebuild name:

www-client/chromium-62.0.3202.52

Description

Open-source version of Google Chrome web browser

Added to portage

2017-10-16

clion - 2017.2.3
Ebuild name:

dev-util/clion-2017.2.3

Description

A complete toolset for C and C++ development

Added to portage

2017-10-16

courier-imap - 4.18.0
Ebuild name:

net-mail/courier-imap-4.18.0

Description

An IMAP daemon designed specifically for maildirs

Added to portage

2017-10-16

dxf - 6.0.0
Ebuild name:

app-admin/dxf-6.0.0

Description

Docker registry v2 client in Python

Added to portage

2017-10-16

erlang - 20.1
Ebuild name:

dev-lang/erlang-20.1

Description

Erlang programming language, runtime environment and libraries (OTP)

Added to portage

2017-10-16

ffmpeg - 3.4
Ebuild name:

media-video/ffmpeg-3.4

Description

Complete solution to record, convert and stream audio and video. Includes li

Added to portage

2017-10-16

filebeat - 5.6.3
Ebuild name:

app-admin/filebeat-5.6.3

Description

Lightweight log shipper for Logstash and Elasticsearch

Added to portage

2017-10-16

gammu - 1.38.4
Ebuild name:

app-mobilephone/gammu-1.38.4

Description

A tool to handle your cellular phone

Added to portage

2017-10-16

git-sources - 4.14_rc5
Ebuild name:

sys-kernel/git-sources-4.14_rc5

Description

The very latest -git version of the Linux kernel

Added to portage

2017-10-16

go-mode - 1.5.0
Ebuild name:

app-emacs/go-mode-1.5.0

Description

An improved Go mode for emacs

Added to portage

2017-10-16

hostapd - 2.6-r1
Ebuild name:

net-wireless/hostapd-2.6-r1

Description

IEEE 802.11 wireless LAN Host AP daemon

Added to portage

2017-10-16

hstr - 1.23
Ebuild name:

app-shells/hstr-1.23

Description

Shell history suggest box

Added to portage

2017-10-16

i18n - 0.9.0
Ebuild name:

dev-ruby/i18n-0.9.0

Description

Add Internationalization support to your Ruby application

Added to portage

2017-10-16

jwcrypto - 0.4.2
Ebuild name:

dev-python/jwcrypto-0.4.2

Description

Implements JWK,JWS,JWE specifications using python-cryptography

Added to portage

2017-10-16

kibana-bin - 5.6.3
Ebuild name:

www-apps/kibana-bin-5.6.3

Description

Analytics and search dashboard for Elasticsearch

Added to portage

2017-10-16

libtorrent-rasterbar - 1.1.5
Ebuild name:

net-libs/libtorrent-rasterbar-1.1.5

Description

C++ BitTorrent implementation focusing on efficiency and scalab

Added to portage

2017-10-16

linkchecker - 9.3.1
Ebuild name:

net-analyzer/linkchecker-9.3.1

Description

Check websites for broken links

Added to portage

2017-10-16

passenger - 5.1.11
Ebuild name:

www-apache/passenger-5.1.11

Description

Passenger makes deployment of Ruby on Rails applications a breeze

Added to portage

2017-10-16

qbittorrent - 3.3.16
Ebuild name:

net-p2p/qbittorrent-3.3.16

Description

BitTorrent client in C++ and Qt

Added to portage

2017-10-16

rcairo - 1.15.10
Ebuild name:

dev-ruby/rcairo-1.15.10

Description

Ruby bindings for cairo

Added to portage

2017-10-16

remmina - 1.2.0_rc21
Ebuild name:

net-misc/remmina-1.2.0_rc21

Description

A GTK+ RDP, SPICE, VNC, XDMCP and SSH client

Added to portage

2017-10-16

rofi - 1.4.2
Ebuild name:

x11-misc/rofi-1.4.2

Description

A window switcher, run dialog and dmenu replacement

Added to portage

2017-10-16

s - 1.12.0
Ebuild name:

app-emacs/s-1.12.0

Description

The long lost Emacs string manipulation library

Added to portage

2017-10-16

stgit - 0.18
Ebuild name:

dev-vcs/stgit-0.18

Description

Manage a stack of patches using GIT as a backend

Added to portage

2017-10-16

toybox - 0.7.5
Ebuild name:

sys-apps/toybox-0.7.5

Description

Common linux commands in a multicall binary

Added to portage

2017-10-16

wpa_supplicant - 2.6-r3
Ebuild name:

net-wireless/wpa_supplicant-2.6-r3

Description

IEEE 802.1X/WPA supplicant for secure wireless transfers

Added to portage

2017-10-16

www-authenticate - 0.9.2
Ebuild name:

dev-python/www-authenticate-0.9.2

Description

WWW-Authenticate header parser

Added to portage

2017-10-16

rdf newsfeed | rss newsfeed | Atom newsfeed
- Powered by LeopardCMS - Running on Gentoo -
Copyright 2004-2017 Sascha Nitsch Unternehmensberatung UG(haftungsbeschänkt)
Valid XHTML1.1 : Valid CSS : buttonmaker
- Level Triple-A Conformance to Web Content Accessibility Guidelines 1.0 -
- Copyright and legal notices -
Time to create this page: 8.5 ms
system status display